#! @BASH@
#
echo 1..2 # Number of tests to be executed.
#
. ./cdoTestFunctions.test
#
test -n "$CDO"      || CDO="@abs_top_builddir@/src/cdo $CDO_DEBUG"
test -n "$DATAPATH" || DATAPATH="@abs_top_srcdir@/test/data/"
#
FORMAT="-f srv -b 32"
#
OPERATORS="eca_hwfi etccdi_wsdi"
#
IFILE1=$DATAPATH/tsurf_1d_1year
IFILE2=$DATAPATH/tsurf_runpctl_1d_1year
#
NTEST=1
#
for OPERATOR in $OPERATORS; do
    if [ -z "$1" ] || [ $NTEST == $1 ]; then
        RFILE=$DATAPATH/${OPERATOR}_ref
        OFILE=${OPERATOR}_res

        CDOTEST="${OPERATOR}"
        CDOCOMMAND="$CDO  $FORMAT ${OPERATOR} $IFILE1 $IFILE2 $OFILE"
        TESTCOMMAND="$CDO diff,abslim=0.0 $OFILE $RFILE"

        runTest
        rm -f $OFILE
    fi
    (( NTEST+=1 ))
done
#
exit 0
